components:
  schemas:
    Outlet_Outlet:
      $ref: http://redfish.dmtf.org/schemas/v1/Outlet.v1_4_2.yaml#/components/schemas/Outlet_v1_4_2_Outlet
      description: The Outlet schema contains a definition for an electrical outlet.
      x-longDescription: This resource shall be used to represent an electrical outlet
        for a Redfish implementation.
    Outlet_PowerState:
      enum:
      - 'On'
      - 'Off'
      - PowerCycle
      type: string
      x-enumDescriptions:
        'Off': Power off.
        'On': Power on.
        PowerCycle: Power cycle.
      x-enumLongDescriptions:
        PowerCycle: This value shall indicate the resource will transition to a power
          off state, then transition to a power on state.  Upon successful completion,
          the PowerState property, if supported, shall contain the value `On`.
      x-enumVersionAdded:
        PowerCycle: v1_4_0
    Outlet_ReceptacleType:
      enum:
      - NEMA_5_15R
      - NEMA_5_20R
      - NEMA_L5_20R
      - NEMA_L5_30R
      - NEMA_L6_20R
      - NEMA_L6_30R
      - IEC_60320_C13
      - IEC_60320_C19
      - CEE_7_Type_E
      - CEE_7_Type_F
      - SEV_1011_TYPE_12
      - SEV_1011_TYPE_23
      - BS_1363_Type_G
      - BusConnection
      type: string
      x-enumDescriptions:
        BS_1363_Type_G: BS 1363 Type G (250V; 13A).
        BusConnection: Electrical bus connection.
        CEE_7_Type_E: CEE 7/7 Type E (250V; 16A).
        CEE_7_Type_F: CEE 7/7 Type F (250V; 16A).
        IEC_60320_C13: IEC C13 (250V; 10A or 15A).
        IEC_60320_C19: IEC C19 (250V; 16A or 20A).
        NEMA_5_15R: NEMA 5-15R (120V; 15A).
        NEMA_5_20R: NEMA 5-20R (120V; 20A).
        NEMA_L5_20R: NEMA L5-20R (120V; 20A).
        NEMA_L5_30R: NEMA L5-30R (120V; 30A).
        NEMA_L6_20R: NEMA L6-20R (250V; 20A).
        NEMA_L6_30R: NEMA L6-30R (250V; 30A).
        SEV_1011_TYPE_12: SEV 1011 Type 12 (250V; 10A).
        SEV_1011_TYPE_23: SEV 1011 Type 23 (250V; 16A).
      x-enumLongDescriptions:
        BS_1363_Type_G: This value shall represent a receptacle that matches the British
          BS 1363 Type G receptacle (250V; 13A).
        BusConnection: This value shall represent a direct connection to an electrical
          bus.
        CEE_7_Type_E: This value shall represent a receptacle that matches the French
          specified CEE 7/7 Type E receptacle (250V; 16A).
        CEE_7_Type_F: This value shall represent a receptacle that matches the Schuko
          specified CEE 7/7 Type F receptacle (250V; 16A).
        IEC_60320_C13: This value shall represent a receptacle that matches the IEC
          60320 Sheet F C13 specified receptacle (250V; 10A per IEC, 15A per UL).
        IEC_60320_C19: This value shall represent a receptacle that matches the IEC
          60320 Sheet J C19 specified receptacle (250V; 16A per IEC, 20A per UL).
        NEMA_5_15R: This value shall represent a receptacle that matches the NEMA
          specified 5-15 receptacle (120V; 15A).  The current is commonly de-rated
          to 12A if it is protected by a 15A breaker.
        NEMA_5_20R: This value shall represent a receptacle that matches the NEMA
          specified 5-20 receptacle that exhibits a T-slot (120V; 20A).  The current
          is commonly de-rated to 16A if it is protected by a 20A breaker.
        NEMA_L5_20R: This value shall represent a receptacle that matches the NEMA
          specified locking L5-20 receptacle (120V; 20A).  The current is commonly
          de-rated to 16A if it is protected by a 20A breaker.
        NEMA_L5_30R: This value shall represent a receptacle that matches the NEMA
          specified locking L5-30 receptacle (120V; 30A).  The current is commonly
          de-rated to 24A if it is protected by a 30A breaker.
        NEMA_L6_20R: This value shall represent a receptacle that matches the NEMA
          specified locking L6-20 receptacle (250V; 20A).  The current is commonly
          de-rated to 16A if it is protected by a 20A breaker.
        NEMA_L6_30R: This value shall represent a receptacle that matches the NEMA
          specified locking L6-30 receptacle (250V; 30A).  The current is commonly
          de-rated to 24A if it is protected by a 30A breaker.
        SEV_1011_TYPE_12: This value shall represent a receptacle that matches the
          SEV 1011 specified Type 12 receptacle (250V; 10A).
        SEV_1011_TYPE_23: This value shall represent a receptacle that matches the
          SEV 1011 specified Type 23 receptacle (250V; 16A).
      x-enumVersionAdded:
        BusConnection: v1_3_0
title: '#Outlet.Outlet'
x-copyright: Copyright 2014-2023 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-owningEntity: DMTF
